<script setup lang="ts">
// import
import CommonButton from '@/components/common-button.vue'
import CommonCalendarDateRange from '@/components/common-calendar-date-range.vue'
import CommonCalendarDate from '@/components/common-calendar-date.vue'
import CommonCalendarTime from '@/components/common-calendar-time.vue'
import CommonInput from '@/components/common-input.vue'
import CommonSelectMulti from '@/components/common-select-multi.vue'
import CommonSelect from '@/components/common-select.vue'
import CommonToast from '@/components/common-toast.vue'

// store
import { useToastStore } from '@/stores/toast'

// value
// input value
const inputValue = ref('')

// button value
const tagOption = {
  type: 'next',
  isIcon: false,
  size: 'small',
  name: '範例按鈕'
}

// select value
const selectValue = ref(null)

// toast
const { showToast } = useToastStore()

// fake data
const selectList = [
  { name: 'test1', value: 1 },
  { name: 'test2', value: 2 },
  { name: 'test3', value: 3 },
  { name: 'test4', value: 4 },
  { name: 'test5', value: 5 },
  { name: 'test6', value: 6 }
]
</script>

<template>
  <div class="container">
    <div class="row">
      <div class="example-group col-6">
        <span class="example-content col-3">輸入框</span>
        <common-input v-model="inputValue" />
      </div>
    </div>

    <div class="row">
      <div class="example-group col-6">
        <span class="example-content col-3">按鈕</span>
        <common-button :tag-option="tagOption" />
      </div>
    </div>

    <div class="row">
      <div class="example-group col-6">
        <span class="example-content col-3">日曆（date）</span>
        <common-calendar-date />
      </div>
    </div>

    <div class="row">
      <div class="example-group col-6">
        <span class="example-content col-3">日曆（date range）</span>
        <common-calendar-date-range />
      </div>
    </div>

    <div class="row">
      <div class="example-group col-6">
        <span class="example-content col-3">日曆（time）</span>
        <common-calendar-time />
      </div>
    </div>

    <div class="row">
      <div class="example-group col-6">
        <span class="example-content col-3">下拉（單選）</span>
        <common-select v-model="selectValue" :select-list-data="selectList" />
      </div>
    </div>

    <div class="row">
      <div class="example-group col-6">
        <span class="example-content col-3">下拉（多選）</span>
        <common-select-multi />
      </div>
    </div>

    <div class="row">
      <div class="example-group col-6">
        <span class="example-content col-3">Toast 成功</span>
        <button
          class="btn btn-primary"
          type="button"
          @click="showToast('success')"
        >
          Toast 範例按鈕
        </button>
        <common-toast />
      </div>
    </div>

    <div class="row">
      <div class="example-group col-6">
        <span class="example-content col-3">Toast 錯誤</span>
        <button
          class="btn btn-primary"
          type="button"
          @click="showToast('error')"
        >
          Toast 範例按鈕
        </button>
        <common-toast />
      </div>
    </div>
  </div>
</template>

<style lang="scss" scoped>
.container {
  margin: 50px 20px;

  .row {
    width: 100%;
    margin-bottom: 20px;

    .example-group {
      display: flex;
      align-items: center;

      .example-content {
        margin-right: 20px;
        white-space: nowrap;
      }
    }
  }
}
</style>
